<?php
/***********************************************************************************/
/* MassCRM客户关系管理系统							   */
/* ========================      						   */
/* 欢迎使用 MassCRM ,在您开始使用之前,请务必完整阅读本软件附带的全部说明档	   */
/***********************************************************************************/
/* Welcome to http://www.massboxes.com & http://masscrm.massboxes.com		   */
/***********************************************************************************/
	function messagebox($msg){
		echo"<script>alert(\"$msg\");</script>";	
	}
	
	if($_POST[build_confirm]){
		echo"<script>alert(\"开始检查连接……\");</script>";
		
		require_once('../adodb/adodb.inc.php');
		$conn = &ADONewConnection('mysql');
//		$conn->debug=true;
		
		if($conn->Connect("localhost", $_POST[mysql_user], $_POST[mysql_pw]))
			messagebox("连接成功，准备建立数据库……");
		else{
			messagebox("连接失败，请检查用户名和密码！");
			exit;
		}
		
		if(!$_POST[account]){
			messagebox("错误提示：帐套编号不能为空！");
			exit;
		}
		if(!$_POST[account_name]){
			messagebox("错误提示：帐套名称不能为空！");
			exit;
		}
		if(!$_POST[company_name]){
			messagebox("错误提示：公司名称不能为空！");
			exit;
		}
		if(!$_POST[admin_name]){
			messagebox("错误提示：初始管理员用户名不能为空！");
			exit;
		}
		if(!$_POST[admin_pw1] or !$_POST[admin_pw1]){
			messagebox("错误提示：初始管理员密码不能为空！");
			exit;
		}
		if($_POST[admin_pw1] and $_POST[admin_pw1]!=$_POST[admin_pw2]){
			messagebox("错误提示：初始化管理员密码不一致！");
			exit;
		}
		
		mysql_create_db ($_POST[account]) or die(mysql_error());
		
		if(!mysql_error())messagebox("成功提示：数据库建立成功，正在建立表，请稍侯……！");
		
		else{
			messagebox("成功提示：数据库建立成功，正在建立表，请稍侯……！");
			exit;
		}
		
		$conn->Pconnect("localhost", $_POST[mysql_user], $_POST[mysql_pw],$_POST[account]);
		
		require('./build_database.php');
		
		//插入管理员资料
		$sql="INSERT INTO `boxes_user` VALUES ('1','administrator','$_POST[admin_name]','超级管理员','1','超级管理员','".md5($_POST[admin_pw1])."')";
		$conn->Execute($sql);
		
		messagebox("成功提示：数据表建立成功！正在写入信息……");
		
		$file="./boxes_".$_POST[account].".boxes.inc.php";
		$ofile=fopen($file,"w");
fputs($ofile,"<?
\$ACCOUNT_NAME=\"$_POST[account_name]\";
\$COMPANY_NAME=\"$_POST[company_name]\";
\$MYSQL_HOSTNAME=\"localhost\"; 
\$MYSQL_USERNAME=\"$_POST[mysql_user]\";
\$MYSQL_PASSWORD=\"$_POST[mysql_pw]\";
\$DATABASE=\"$_POST[account]\";");
fputs($ofile,"
?>");
		if(!is_dir("../backup/backupfile/$_POST[account]") and !@mkdir("../backup/backupfile/$_POST[account]",0777)){
				echo "<script>alert(\"目录'backup/backupfile/'建立'$_POST[account]'失败，请手工建立，数据备份时需要！\");</script>";
		}
		echo"<script>";
		echo"alert(\"成功提示：帐套建立成功！\");";
		echo"var value=new Array('boxes_".$_POST[account]."','$_POST[account_name]');";
		echo"window.returnValue = value;";
		echo"self.close();";
		echo"</script>";
		exit;
	}

	

	//页面基本设置
	require_once '../includes/config.inc.php';
	
	//Smarty模板库
	require_once '../smarty/Smarty.class.php';

	$smart=new smarty;
	
	//本页面为静态页面，可以使用页面缓冲
	$smart->caching= true;
	
	//检查是否更新
	$smart->compile_check=true;
	
	//路径+模板风格路径
	$smart->template_dir = '../templates/'.$TEMPLATE_STYLE.'/';
	$smart->compile_dir = '../smarty/templates_c/';
	$smart->config_dir = '../smarty/configs/';
	$smart->cache_dir = '../smarty/cache/';
	$smart->left_delimiter = '{/';
	$smart->right_delimiter = '/}';
	
	//替换标题
	$smart->assign(array("HTML_TITLE"=>$HTML_TITLE));
	
	//输出结果
	$smart->display('account/build_account_1.tpl.htm');	
?>

